-- ****************************************************
-- * ADDON TEMPLATE, CUSTOMIZE AT WILL *
-- ****************************************************
-- * NOTE: Any line with "--" in front of it will not be read by your computer.
-- * If you want any part of the code below to be read, remove the dashes, 
-- * or add dashes to comment out specific code. My commentary on functions etc.
-- * is prefaced with "-- *"


-- ****************************************************
-- * DECLARE VARIABLES * 
-- ****************************************************
-- * Add any variables you want available to functions here; for example,
--
-- * variable for CancelMyAuctions functions:
-- local CANCELMYAUCTIONSTEXT = "";

-- * variables for ChatStickies_IsBuffActive and ChatStickies_SetSpellCast functions:
--	ChatStickies_buffspell = "";
--	local AT_buffname = "Prayer of Mending";
--	local yellow = "|c00FFFF25";




-- ****************************************************
-- * ON_LOAD COMMANDS * 
-- ****************************************************
function ChatStickies_OnLoad()
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("ChatStickies Loaded.");
	end
	UIErrorsFrame:AddMessage("ChatStickies Loaded.", 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME);
	ChatTypeInfo["WHISPER"].sticky = 0;
	ChatTypeInfo["CHANNEL"].sticky = 0;
	ChatTypeInfo["OFFICER"].sticky = 0;
	ChatTypeInfo["BN_WHISPER"].sticky = 0;

-- * The two lines below add an in-game Slash Command for the GUI function, reinstate if 
-- * you are interested in using commands in the slash handler, including the mod's XML frames.
--   SlashCmdList["ChatStickiesCOMMAND"] = ChatStickies_Handler;
--   SLASH_ChatStickiesCOMMAND1 = "/at";
--   SLASH_ChatStickiesCOMMAND2 = "/ChatStickies";

-- * The two lines below add an in-game Slash Command for the LootDogNow1 function.
--   SlashCmdList["LOOT_DOG_NOW1"] = LootDogNow1;
--   SLASH_LOOT_DOG_NOW11 = "/dog1";

-- * These two lines make a slash command for the Track Item function.
--  SlashCmdList["TRACK_ITEM"] = TrackItem;
--  SLASH_TRACK_ITEM1 = "/ti";

-- * These two lines make a slash command for the CancelMyAuctions function.
--	SlashCmdList["CANCEL_MY_AUCTIONS_COMMAND"] = CancelMyAuctionsCommand;
--	SLASH_CANCEL_MY_AUCTIONS_COMMAND1 = "/cma";

-- * The line below adds a colored load message with instructions for use the Track Item function.
--   DEFAULT_CHAT_FRAME:AddMessage("**To track an item, place it in slot 0,1 and use /ti to announce.**", 1.0, 0.35, 0.15);
-- end;

end



-- ****************************************************
--	* SLASH HANDLER * 
-- ****************************************************
-- * The slash handler acts as a link between slash commands and functions, reinstate if you are 
-- * interested in seeing this mod's XML frames. If you have the frame code in the 
-- * ChatStickies.xml file active (default), this command opens the GUI template when activated.
-- * useful components: strip/interpret command from slash input, activate GUI window, colorize 
-- * chat text, output text to chat frame, set variable via slash command and report the change in chat
--
--function ChatStickies_Handler(msg) 
--	if (msg == "gui") then 
--		ChatStickies_MainForm:Show();
--	elseif (msg == "secure on") then 
--		ChatStickies_BuffFrame:Show();
--	elseif (msg == "secure off") then 
--		ChatStickies_BuffFrame:Hide();
--	elseif (msg == "") or (msg == "help") then 
--		DEFAULT_CHAT_FRAME:AddMessage(yellow.."ChatStickies: '/at gui on' to show GUI template");
--		DEFAULT_CHAT_FRAME:AddMessage(yellow.."ChatStickies: '/at secure on' to show secure button, '/at secure off' to hide");
--		DEFAULT_CHAT_FRAME:AddMessage(yellow.."ChatStickies: use '/click ChatStickies_BuffFrame' to activate the button via macro");
--	elseif (msg ~= "") then
--		AT_buffname = msg;
--		DEFAULT_CHAT_FRAME:AddMessage(yellow.."ChatStickies: will check for "..AT_buffname..".");
--	end
--end



-- ****************************************************
-- * FUNCTIONS * 
-- ****************************************************
-- * Add your own functions in the section below. I've also included several basic but 
-- * useful functions below to get you started. 


-- function to announce rez in group-dependent chat and in whisper to target, used with the in-game macro below it works on allied/dead mouseover (takes priority if you have one) or current allied/dead target
-- in-game macro (adjust name of rez spell as necessary): 
-- /run ATRezFunction()
-- /cast [target=mouseover,help,exists,dead][target=target,help,dead] Resurrection

--function ATRezFunction()
--	local c;
--	if (GetNumRaidMembers()>0) then
--		c="RAID";
--	elseif (GetNumPartyMembers()>0) then
--		c="PARTY";
--	else c="SAY";
--	end
--	R=R or CreateFrame("Frame")
--	R:RegisterEvent("UNIT_SPELLCAST_SENT")
--	R:SetScript("OnEvent",
--	function(R,E,C,T,K,T)
--		SendChatMessage(GetRandomArgument("Rezzing "..T..".","Anyone not surprised that "..T.." is getting rezzed... again?", "Ok, "..T..", but this had better not be another attempt to get mouth to mouth!", "I am resurrecting "..T..".", "Ressurecting "..T.." now.", "Oh no, you died, "..T.."!", "Let me fix that, "..T..".", "Stop slacking and get back to work, "..T.."!", "Bringing you back from the dead now, "..T..".", "Oh noes, "..T.."'s got a wittle booboo!"),c)
--		SendChatMessage("Rez incoming, please accept...", "WHISPER", nil, UnitName(T))
--		R:UnregisterEvent(E)
--	end)
--end